[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBCalendar.Create

Constructor for the class instance.

## Declaration

Source position: dbctrls.pp line 1284

`public constructor TDBCalendar.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance, and calls the inherited constructor. Create allocates resources for the internal TFieldDataLink instance used in the class. The DataChange and UpdateData methods in the control are assigned to the OnDataChange and OnUpdateData event handlers in the TFieldDataLink instance.

## See also

TFieldDataLink.OnDataChange |  | Event handler signalled when the field data link has been changed.
TFieldDataLink.OnUpdateData |  | OnUpdateData - event handler for updating any pending changes in the data.
TCustomCalendar.Create |  | Constructor for the class instance.